zconf.h File Reference

Go to the source code of this file.

## Macros

#define | const /* note: need a more gentle solution here */
#define | z_const
#define | z_longlong long long
#define | MAX_MEM_LEVEL 9
#define | MAX_WBITS 15 /* 32K LZ77 window */
#define | OF(args) ()
#define | Z_ARG(args) ()
#define | ZEXTERN extern
#define | ZEXPORT
#define | ZEXPORTVA
#define | FAR
#define | SEEK_SET 0 /* Seek from beginning of file. */
#define | SEEK_CUR 1 /* Seek from current position. */
#define | SEEK_END 2 /* Set file pointer to EOF plus "offset" */
#define | z_off_t long
#define | z_off64_t z_off_t

## Typedefs

typedef unsigned long | z_size_t
typedef unsigned char | Byte
typedef unsigned int | uInt
typedef unsigned long | uLong
typedef Byte FAR | Bytef
typedef char FAR | charf
typedef int FAR | intf
typedef uInt FAR | uIntf
typedef uLong FAR | uLongf
typedef Byte const * | voidpc
typedef Byte FAR * | voidpf
typedef Byte * | voidp
typedef unsigned long | z_crc_t

## Macro Definition Documentation

## const

#define const /* note: need a more gentle solution here */

Definition at line 230 of file zconf.h.

## FAR

#define FAR

Definition at line 387 of file zconf.h.

## MAX_MEM_LEVEL

#define MAX_MEM_LEVEL 9

Definition at line 260 of file zconf.h.

## MAX_WBITS

#define MAX_WBITS 15 /* 32K LZ77 window */

Definition at line 270 of file zconf.h.

## OF

#define OF | ( |  | args | ) | ()

Definition at line 292 of file zconf.h.

## SEEK_CUR

#define SEEK_CUR 1 /* Seek from current position. */

Definition at line 499 of file zconf.h.

## SEEK_END

#define SEEK_END 2 /* Set file pointer to EOF plus "offset" */

Definition at line 500 of file zconf.h.

## SEEK_SET

#define SEEK_SET 0 /* Seek from beginning of file. */

Definition at line 498 of file zconf.h.

## Z_ARG

#define Z_ARG | ( |  | args | ) | ()

Definition at line 300 of file zconf.h.

## z_const

#define z_const

Definition at line 237 of file zconf.h.

## z_longlong

#define z_longlong long long

Definition at line 243 of file zconf.h.

## z_off64_t

#define z_off64_t z_off_t

Definition at line 513 of file zconf.h.

## z_off_t

#define z_off_t long

Definition at line 504 of file zconf.h.

## ZEXPORT

#define ZEXPORT

Definition at line 380 of file zconf.h.

## ZEXPORTVA

#define ZEXPORTVA

Definition at line 383 of file zconf.h.

## ZEXTERN

#define ZEXTERN extern

Definition at line 377 of file zconf.h.

## Typedef Documentation

## Byte

typedef unsigned char Byte

Definition at line 391 of file zconf.h.

## Bytef

typedef Byte FAR Bytef

Definition at line 400 of file zconf.h.

## charf

typedef char FAR charf

Definition at line 402 of file zconf.h.

## intf

typedef int FAR intf

Definition at line 403 of file zconf.h.

## uInt

typedef unsigned int uInt

Definition at line 393 of file zconf.h.

## uIntf

typedef uInt FAR uIntf

Definition at line 404 of file zconf.h.

## uLong

typedef unsigned long uLong

Definition at line 394 of file zconf.h.

## uLongf

typedef uLong FAR uLongf

Definition at line 405 of file zconf.h.

## voidp

typedef Byte* voidp

Definition at line 414 of file zconf.h.

## voidpc

typedef Byte const* voidpc

Definition at line 412 of file zconf.h.

## voidpf

typedef Byte FAR* voidpf

Definition at line 413 of file zconf.h.

## z_crc_t

typedef unsigned long z_crc_t

Definition at line 431 of file zconf.h.

## z_size_t

typedef unsigned long z_size_t

Definition at line 250 of file zconf.h.